Subject: Re: bug#9982: M-x load-theme does not change background color

From: Stefan Monnier <[email-masked]>
Date: Mon, 07 Nov 2011 21:01:40 -0500

> I tested originally with emacs -Q.
> I originally found the problem in an XFCE environment. I tried it out
> on Gnome, and it seemed to work fine. So it may be related to some
> kind of system theme.

Note that a system theme should take lower precedence than a color theme
loaded via M-x load-theme.  So even if this background color comes from
a system theme, we still have a bug.
OTOH if this background color comes from a setting of your (e.g. via
customize), then it's normal since the user theme takes precedence over
all other themes.

        Stefan